      integer function fnblnk(str)
C
C Description:
C
C This function returns the location of the first non-blank
C character in a string. If all the characters are blank
C the function returns 0.
C
C
C User interface:
C
C Name         in/out type          Structure  Meaning
C fnblnk       out    integer       scalar     The position of the first       
C                                              non-blank character in the    
C                                              input string. (Zero is returned
C                                              if the entire string is blank)
C str          in     character(*)  scalar     The string in which the first
C                                              non-blank character is to be
C                                              found.
C
C Errors:
C
C This routine should not generate an error. No errors are trapped.
C
C Subroutines accessed:
C
C len (intrinsic)
C
      implicit none
      integer limit,i
      logical done
      character*(*) str
      limit=len(str)
      i=1
      done=.false.
      do while (.not. done)
         if (str(i:i) .eq. ' ') then
            i=i+1
            if (i .gt. limit) then
               done=.true.
               fnblnk=0
            end if
         else
            done=.true.
            fnblnk=i
         end if
      end do
      return
      end
